/* --------------------- CLIENTS SECTION ------------------------- */
.clients-page-section {
  padding: 40px 0;
}

.clients-page-section h2 {
  margin-bottom: 20px;
  color: #212529;
}

.clients-nav-pills-custom .nav-link {
  background: transparent;
  font-family: "barlow-regular";
  color: #000;
  position: relative;
  font-size: 21px;
  border-radius: 0;
  padding: 15px 0;
  width: 80%;
}

.clients-nav-pills-custom .nav-link.active,
.clients-nav-pills-custom .show > .nav-link {
  background: linear-gradient(45deg, #3c179b, #e95c01, #f4a304, #f4a304);
  background: fill;
  background-clip: text;
  -webkit-text-fill-color: #0000;
}

.clients-nav-pills-custom .nav-link :hover {
  background: linear-gradient(45deg, #3c179b, #e95c01, #f4a304, #f4a304);
  background: fill;
  background-clip: text;
  -webkit-text-fill-color: #0000;
}

.clients-nav-pills-custom .nav-link::before {
  content: "";
  display: block;
  border-top: 8px solid transparent;
  border-left: 10px solid #fff;
  border-bottom: 8px solid transparent;
  position: absolute;
  top: 50%;
  right: -10px;
  transform: translateY(-50%);
  opacity: 0;
}

.clients-nav-pills-custom a::after {
  content: "";
  display: block;
  width: 0;
  height: 1px;
  background: linear-gradient(45deg, #3c179b, #f26f17, #ffc22d);
  transition: width 0.5s;
  position: relative;
  top: 16px;
}

.clients-nav-pills-custom a:hover::after {
  width: 100%;
}

.clients-nav-pills-custom .active::after {
  width: 100%;
}

.tab-pane img {
  background: #fff;
  border-radius: 8px;
  filter: grayscale(1);
  margin-bottom: 30px;
  padding: 15px 30px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.05);
  transition:
    transform 0.3s ease,
    box-shadow 0.3s ease,
    filter 0.3s ease;
}

.tab-pane img:hover {
  filter: grayscale(0);
  transform: scale(1.02);
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.1);
}

.clients-mobile {
  display: none;
}

.clients-accordion-item {
  border-bottom: 1px solid #000;
  border-image: linear-gradient(90deg, #3c179b, #eb7224, #fdad02);
  border-image-slice: 1;
  width: 100%;
  margin-bottom: 10px;
  border-radius: 0px;
  overflow: hidden;
}

.clients-accordion-header {
  position: relative;
  font-family: "barlow-regular";
  width: 100%;
  text-align: left;
  background: transparent;
  padding: 10px 15px;
  font-size: 18px;
  border-radius: 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
  border: 0;
}

.clients-accordion-header.active {
  background: linear-gradient(45deg, #f37022, #fbaa4f);
}

.clients-accordion-header .icon {
  transition: transform 0.2s;
}

.clients-accordion-header::after {
  content: "+";
  position: absolute;
  right: 20px;
  font-size: 20px;
  transition: height 0.4s ease;
}

.clients-accordion-header.active::after {
  content: "-";
}

.clients-accordion-content {
  display: none;
  padding: 15px;
  background-color: #fff;
  transition: max-height 0.3s ease;
}

.clients-accordion-content.open {
  display: block;
}

@media (max-width: 1200px) {
  .clients-page-section {
    padding: 35px 0 70px;
  }
  .tab-pane img {
    padding: 10px 20px;
  }
  .clients-nav-pills-custom .nav-link {
    font-size: 18px;
  }
}

@media (max-width: 991px) {
  .clients-page-section {
    padding: 30px 0 60px;
  }
  .clients-page-section .tab-pane .row > [class*="col-"] {
    flex: 0 0 auto;
    width: 33.333333%;
  }
  .tab-pane img {
    padding: 5px 10px;
  }
  .clients-nav-pills-custom .nav-link {
    font-size: 15px;
  }
}

@media (max-width: 767px) {
  .clients-mobile {
    display: block;
    padding: 15px 0 50px;
  }
  .clients-page-section {
    display: none;
  }
  .clients-accordion-header {
    padding: 12px 15px;
    transition:
      background-color 0.3s ease,
      color 0.3s ease;
  }
  .clients-accordion-header.active {
    background-color: #f47c20;
    color: #fff;
  }
  .clients-image {
    display: flex;
    flex-wrap: wrap;
    gap: 0 15px;
    justify-content: center;
  }
  .clients-image h3 {
    width: 100%;
    text-align: center;
    margin-bottom: 0px !important;
  }
  .clients-image img {
    width: calc(45% - 8px);
    max-width: 140px;
    margin: 0 0 5px 0;
    display: block;
    background: #fff;
    padding: 10px 15px;
    border-radius: 0;
    transition:
      transform 0.3s ease,
      box-shadow 0.3s ease;
  }
  .clients-image img:hover {
    transform: scale(1.05);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.05);
  }
}

@media (max-width: 575px) {
  .clients-mobile {
    padding: 10px 0 40px;
  }
  .clients-image img {
    width: 90%;
    max-width: 150px;
    margin: 0 auto 5px auto;
  }
}

@media (max-width: 480px) {
  .clients-mobile {
    padding: 10px 0 30px;
  }
  .clients-accordion-header {
    font-size: 16px;
    padding: 10px 12px;
  }
  .clients-image img {
    width: 80%;
    max-width: 120px;
  }
}

@media (max-width: 360px) {
  .clients-mobile {
    padding: 10px 0 20px;
  }
  .clients-accordion-header {
    font-size: 15px;
    padding: 8px 10px;
  }
  .clients-image img {
    padding: 10px 15px;
  }
}